Module java.desktop
Package java.awt

# Class MultipleGradientPaint

java.lang.Object
java.awt.MultipleGradientPaint

All Implemented Interfaces:
  `Paint`, `Transparency`

Direct Known Subclasses:
  `LinearGradientPaint`, `RadialGradientPaint`

public abstract class MultipleGradientPaint extends Object implements Paint
This is the superclass for Paints which use a multiple color gradient to fill in their raster. It provides storage for variables and enumerated values common to `LinearGradientPaint` and `RadialGradientPaint`.

Since:
  1.6

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`MultipleGradientPaint.ColorSpaceType`
The color space in which to perform the gradient interpolation.
`static class`
`MultipleGradientPaint.CycleMethod`
The method to use when painting outside the gradient bounds.

## Field Summary

### Fields declared in interface java.awt.Transparency

`BITMASK, OPAQUE, TRANSLUCENT`

## Method Summary

Modifier and Type
Method
Description
`Color[]`
`getColors()`
Returns a copy of the array of colors used by this gradient.
`MultipleGradientPaint.ColorSpaceType`
`getColorSpace()`
Returns the enumerated type which specifies color space for interpolation.
`MultipleGradientPaint.CycleMethod`
`getCycleMethod()`
Returns the enumerated type which specifies cycling behavior.
`float[]`
`getFractions()`
Returns a copy of the array of floats used by this gradient to calculate color distribution.
`AffineTransform`
`getTransform()`
Returns a copy of the transform applied to the gradient.
`int`
`getTransparency()`
Returns the transparency mode for this `Paint` object.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface java.awt.Paint

`createContext`

## Method Details

### getFractions

public final float[] getFractions()
Returns a copy of the array of floats used by this gradient to calculate color distribution. The returned array always has 0 as its first value and 1 as its last value, with increasing values in between.

Returns:
  a copy of the array of floats used by this gradient to calculate color distribution

### getColors

public final Color[] getColors()
Returns a copy of the array of colors used by this gradient. The first color maps to the first value in the fractions array, and the last color maps to the last value in the fractions array.

Returns:
  a copy of the array of colors used by this gradient

### getCycleMethod

public final MultipleGradientPaint.CycleMethod getCycleMethod()
Returns the enumerated type which specifies cycling behavior.

Returns:
  the enumerated type which specifies cycling behavior

### getColorSpace

public final MultipleGradientPaint.ColorSpaceType getColorSpace()
Returns the enumerated type which specifies color space for interpolation.

Returns:
  the enumerated type which specifies color space for interpolation

### getTransform

public final AffineTransform getTransform()
Returns a copy of the transform applied to the gradient.

Note that if no transform is applied to the gradient when it is created, the identity transform is used.

Returns:
  a copy of the transform applied to the gradient

### getTransparency

public final int getTransparency()
Returns the transparency mode for this `Paint` object.

Specified by:
  `getTransparency` in interface `Transparency`
Returns:
  `OPAQUE` if all colors used by this `Paint` object are opaque, `TRANSLUCENT` if at least one of the colors used by this `Paint` object is not opaque.
See Also:
  `Transparency`